stat.ChurSap {sma} | R Documentation

## Apply Sapir and Churchills single slide method

### Description

Applies Sapirs and Churchills single slide method.

### Usage

    stat.ChurSap(RG,layout,pp=0.95,norm="p", pout=TRUE, image.id=1,...)

### Arguments

`RG`

a list with 4 elements, each represents a matrix with p rows for p genes and n columns for n slides.
The first element "R" contains the raw red intensities from slide i=1,...,n .
Similarly, the second element "G" contains the raw green intensities.
The third element "Rb" contains the background red intensities and
the fourth element "Gb" contains the background green intensities.
This list structure can be generated by the interactive function `init.data`.

`layout` | a list specifying the dimensions of the spot matrix and the grid matrix. This can be generated by calling `init.grid`.
`pp` | Posterior probability of being differentially expressed. Defaults to 0.95
`image.id` | Specifies image to which Chen's method will be applied.

`norm`

Character string, one of "n", "m", "l", "p" or "s". This argument specifies the type of normalization method to be performed: "n" no normalization between the 2 channels; "m" `median` normalization, which sets the median of log intensity ratios to zero; "l" global `lowess` normalization; "p" print-tip group lowess normalization and "s" scaled print-tip group lowess normalization. The default method is set to print-tip normalization.

`pout` | if TRUE, an M vs. A plot will be produced with limits due to Churchill and Sapir at the specified posterior probability level. If FALSE, return a list with pertinant information
`...` | additional graphical parameters

### Value

List containing the following components:

`limits` | the positive value of the limit at the posterior probability value of pp
`theta` | parameters estimated by EM algorithm, specifically a mixing proportion and a variance
`pp` | Posterior probabilities of being differentially expressed given observed data for each gene.

### Author(s)

Ben Bolstad, bolstad@stat.berkeley.edu

### References

Sapir and Churchill(2000), Estimating the posterior probability of differential gene expression from microarray data . http://www.jax.org/research/churchill/

### See Also

`stat.Chen`,`stat.Newton`

### Examples

    data(MouseArray)
    ##mouse.setup <- init.grid()
    ##mouse.data <- init.data() ## see \emph{init.data}
    stat.ChurSap(mouse.data,mouse.setup,pp=0.95,image.id=3)

[Package sma version 0.5.14 Index]